Page MenuHomePhabricator

elementary: Support using no frame object
ClosedPublic

Authored by bu5hm4n on Nov 19 2018, 5:19 AM.

Details

Summary

Creation of the frame object can lead to significant delays in window
creation time on limited-power devices (watches, mobile, tv, etc).
This patch allows setting an environment variable and config value in
order to completely skip frame object creation.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
devilhorns created this revision.Nov 19 2018, 5:19 AM
devilhorns requested review of this revision.Nov 19 2018, 5:19 AM

These were supposed to be 2 different commits, but arc bundled them into one ... I don't know why.

devilhorns updated this revision to Diff 17431.Nov 19 2018, 5:23 AM
devilhorns edited the summary of this revision. (Show Details)

Squash commits into one

devilhorns updated this revision to Diff 17449.Nov 20 2018, 3:41 AM

Update patch to use _elm_config value

ManMower accepted this revision.Nov 29 2018, 10:57 AM

Seems to work, shaves about 50ms off elementary_test startup for me here, so if you don't need the frame this can be a big win.

Only one comment, and it's mostly cosmetic I think.

src/lib/elementary/efl_ui_win.c
4626

Can this still issue a CRI if we get here with no frame object, but the new win_no_border flag is *not* set?

This revision is now accepted and ready to land.Nov 29 2018, 10:57 AM

Updated patch to re-add back CRI warning

devilhorns marked an inline comment as done.Nov 29 2018, 11:16 AM
This revision was automatically updated to reflect the committed changes.
bu5hm4n reopened this revision.Dec 3 2018, 1:27 AM
bu5hm4n added a subscriber: bu5hm4n.

Please be a bit more carefull with this next time, this has invalidated every single config that was read since this commit was introduced! :(

src/lib/elementary/elm_priv.h
170

Why have you changed the EPOCH OFFSET ?

Changing epoch -> invalidate the config of users
Changing File Generation -> update config of users

This revision is now accepted and ready to land.Dec 3 2018, 1:27 AM
bu5hm4n requested changes to this revision.Dec 3 2018, 1:28 AM

However i cannot revert it, as we then have a older config number for those who have changed it ...

This revision now requires changes to proceed.Dec 3 2018, 1:28 AM
bu5hm4n commandeered this revision.Dec 3 2018, 7:24 AM
bu5hm4n edited reviewers, added: devilhorns; removed: bu5hm4n.
This revision is now accepted and ready to land.Dec 3 2018, 7:24 AM
bu5hm4n closed this revision.Dec 3 2018, 7:24 AM